Public Types | Public Member Functions | List of all members
cgicc::HTMLDoctype Class Reference

Specifies the DTD of the HTML 4 document. More...

`#include <cgicc/HTMLDoctype.h>`

Inheritance diagram for cgicc::HTMLDoctype:

## Public Types
enum | EDocumentType { eStrict , eTransitional , eFrames , eHTML5 }

## Public Member Functions
| HTMLDoctype (EDocumentType type=eStrict)
| Constructor. More...
virtual | ~HTMLDoctype ()
| Destructor.
virtual void | render (std::ostream &out) const
| Write this object to a stream. More...
Public Member Functions inherited from cgicc::MStreamable
| MStreamable ()
| Empty constructor. More...
virtual | ~MStreamable ()
| Empty destructor. More...
virtual void | render (std::ostream &out) const =0
| Write this object to a stream. More...

## Detailed Description

Specifies the DTD of the HTML 4 document.

To use this class, simply write an object of this type to an ostream:

out << cgicc::HTMLDoctype();
cgicc::HTMLDoctype
Specifies the DTD of the HTML 4 document.
Definition: HTMLDoctype.h:57

For more information, see `http://www.w3.org/MarkUp/` and `http://www.w3.org/TR/REC-html40/`

Definition at line 56 of file HTMLDoctype.h.

## Member Enumeration Documentation

## ◆ EDocumentType

enum cgicc::HTMLDoctype::EDocumentType

The DTD used by this document.

Enumerator
eStrict | The HTML 4.0 strict DTD (the default)
eTransitional | The HTML 4.0 Transitional DTD
eFrames | The HTML 4.0 Frameset DTD
eHTML5 | HTML5 (added 11.30.14 t.o.)

Definition at line 61 of file HTMLDoctype.h.

## Constructor & Destructor Documentation

## ◆ HTMLDoctype()

cgicc::HTMLDoctype::HTMLDoctype | ( | EDocumentType | type = `eStrict` | ) |

Constructor.

Parameters

  type | The version of the HTML 4.0 DTD used by this document.

## Member Function Documentation

## ◆ render()

virtual void cgicc::HTMLDoctype::render | ( | std::ostream & | out | ) | const
| virtual

Write this object to a stream.

Subclasses must implement this function.

Parameters

  out | The ostream to which to write.

Implements cgicc::MStreamable.

The documentation for this class was generated from the following file:

- HTMLDoctype.h